<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from flag_nans_occured.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="flag_nans_occured" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>flag_nans_occured</refname>
    <refpurpose>checks whether the last call(s) to sumskipnan or covm</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [flag]=flag_nans_occured()
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Description</title>
   <para>
checks whether the last call(s) to sumskipnan or covm
contained any not-a-numbers in the input argument. Because many other
functions like mean, std, etc. are also using sumskipnan,
also these functions can be checked for NaN's in the input data.
   </para>
   <para>
A call to FLAG_NANS_OCCURED() resets also the flag whether NaN's occured.
Only sumskipnan or covm can set the flag again.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="sumskipnan">sumskipnan</link></member>
   <member><link linkend="nan_covm">nan_covm</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2009 by Alois Schloegl a.schloegl@ieee.org</member>
   <member>H. Nahrstaedt - 2010</member>
   </simplelist>
</refsection>
</refentry>
